cat 6509 upgrade

Unanswered Question


there is a 6509 with SUP720 which needs to be upgrade and i'd have some questions.

here is the output of show module:

------------------ show module ------------------

Mod Ports Card Type Model Serial No.

--- ----- -------------------------------------- ------------------ -----------

1 24 CEF720 24 port 1000mb SFP WS-X6724-SFP xxxxxxxxxxx

2 48 SFM-capable 48 port 10/100/1000mb RJ45 WS-X6548-GE-TX xxxxxxxxxxx

3 48 48-port 10/100 mb RJ45 WS-X6148-RJ-45 xxxxxxxxxxx

4 48 48-port 10/100 mb RJ45 WS-X6148-RJ-45 xxxxxxxxxxx

5 2 Supervisor Engine 720 (Active) WS-SUP720-BASE xxxxxxxxxxx

6 48 48-port 10/100 mb RJ45 WS-X6148-RJ-45 xxxxxxxxxxx

7 3 Network Analysis Module WS-SVC-NAM-1 xxxxxxxxxxx

Currently 12.2(18)SXD7 runs on it. filename:s72033-jk9sv-mz.122-18.SXD7b.bin

this need to be change as this image is already 1,5 year old.

checking software download section on cco i can see that 12.2.33-SXI(ED) is the latest release.

my question is what is the different between SXD, SXI, SXH, SHI.? is it just an indicator of increase or has any other meaning?

i need the same feature set that s72033-jk9sv-mz.122-18.SXD7b.bin provides but can't really decide to which IOS version i should upgrade.

is the s72033-adventerprisek9_wan-vz.122-33.SXI.bin would be the right choice?

secondly as it can be seen above there is a NAM-1 modul installed in this switch with 3.3(1) running on it.

can i directly upgrade it to 4.0 or first i have to go with 3.6 and then 4.0?


I have this problem too.
0 votes
  • 1
  • 2
  • 3
  • 4
  • 5
Overall Rating: 0 (0 ratings)
Giuseppe Larosa Wed, 03/11/2009 - 23:58

Hello Peter,

I tried to use the software advisor tool that is available under support page with a more then guest account on CCO

After having inserted your linecards, sup type and os system I've looked for compatible IOS with advanced enterprise SSH feature set

Among the three proposals I would go for:



that I think is the one more near to your current release.

SXI is really new and some have reported problems with VSS and some service modules.

Besides this you have 6148 linecards.

So I think that SXF is the safest choice

(may be with another feature set)

About the NAM firmware upgrade

I've just found the procedures

there is no warnings about previous versions.

You may want to open an informative Service Request to do this or you can use the two steps approach for safety

We did upgrades skipping intermediate versions on other service modules like CSM or FWSM and ACE but no direct experience with NAM-1.

Hope to help



This Discussion